<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BleedingCheckMdfr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d5a/class_bleeding_check_mdfr.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BleedingCheckMdfr Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BleedingCheckMdfr:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/d5a/class_bleeding_check_mdfr.png" usemap="#BleedingCheckMdfr_map" alt=""/>
  <map id="BleedingCheckMdfr_map" name="BleedingCheckMdfr_map">
<area href="../../d8/d0a/class_modifier_base.html" alt="ModifierBase" shape="rect" coords="0,0,124,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5dd17ae47c0e1e1958b1f91a359fb1b7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d5a/class_bleeding_check_mdfr.html#a5dd17ae47c0e1e1958b1f91a359fb1b7">Init</a> ()</td></tr>
<tr class="separator:a5dd17ae47c0e1e1958b1f91a359fb1b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac033325027b3914593cdf46e2ca168bf"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d5a/class_bleeding_check_mdfr.html#ac033325027b3914593cdf46e2ca168bf">ActivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ac033325027b3914593cdf46e2ca168bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f9881d7f02283407bd3e6b9a132d36"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d5a/class_bleeding_check_mdfr.html#a32f9881d7f02283407bd3e6b9a132d36">OnActivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a32f9881d7f02283407bd3e6b9a132d36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6fcbcd06f10faed4fc25f8afaf87eda"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d5a/class_bleeding_check_mdfr.html#ad6fcbcd06f10faed4fc25f8afaf87eda">OnDeactivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ad6fcbcd06f10faed4fc25f8afaf87eda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7f570ba0c65e39deee7e8d042ddb764"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d5a/class_bleeding_check_mdfr.html#af7f570ba0c65e39deee7e8d042ddb764">DeactivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:af7f570ba0c65e39deee7e8d042ddb764"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888b63ea671881f41d8d4952fd2fde8b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d5a/class_bleeding_check_mdfr.html#a888b63ea671881f41d8d4952fd2fde8b">OnTick</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaT)</td></tr>
<tr class="separator:a888b63ea671881f41d8d4952fd2fde8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abb8d046be7d1364c631a610afa61a17d"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d5a/class_bleeding_check_mdfr.html#abb8d046be7d1364c631a610afa61a17d">BLOOD_DECREMENT_PER_SEC</a> = -10</td></tr>
<tr class="separator:abb8d046be7d1364c631a610afa61a17d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b32ad1363222b32a3665767d2b68771"><td class="memItemLeft" align="right" valign="top">PluginAdminLog&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d5a/class_bleeding_check_mdfr.html#a8b32ad1363222b32a3665767d2b68771">m_AdminLog</a></td></tr>
<tr class="separator:a8b32ad1363222b32a3665767d2b68771"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/d86/_bleeding_8c_source.html#l00002">2</a> of file <a class="el" href="../../db/d86/_bleeding_8c_source.html">Bleeding.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac033325027b3914593cdf46e2ca168bf" name="ac033325027b3914593cdf46e2ca168bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac033325027b3914593cdf46e2ca168bf">&#9670;&#160;</a></span>ActivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BleedingCheckMdfr::ActivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d86/_bleeding_8c_source.html#l00022">22</a> of file <a class="el" href="../../db/d86/_bleeding_8c_source.html">Bleeding.c</a>.</p>

</div>
</div>
<a id="af7f570ba0c65e39deee7e8d042ddb764" name="af7f570ba0c65e39deee7e8d042ddb764"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7f570ba0c65e39deee7e8d042ddb764">&#9670;&#160;</a></span>DeactivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BleedingCheckMdfr::DeactivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d86/_bleeding_8c_source.html#l00049">49</a> of file <a class="el" href="../../db/d86/_bleeding_8c_source.html">Bleeding.c</a>.</p>

</div>
</div>
<a id="a5dd17ae47c0e1e1958b1f91a359fb1b7" name="a5dd17ae47c0e1e1958b1f91a359fb1b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dd17ae47c0e1e1958b1f91a359fb1b7">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BleedingCheckMdfr::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d86/_bleeding_8c_source.html#l00007">7</a> of file <a class="el" href="../../db/d86/_bleeding_8c_source.html">Bleeding.c</a>.</p>

</div>
</div>
<a id="a32f9881d7f02283407bd3e6b9a132d36" name="a32f9881d7f02283407bd3e6b9a132d36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32f9881d7f02283407bd3e6b9a132d36">&#9670;&#160;</a></span>OnActivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BleedingCheckMdfr::OnActivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d86/_bleeding_8c_source.html#l00034">34</a> of file <a class="el" href="../../db/d86/_bleeding_8c_source.html">Bleeding.c</a>.</p>

</div>
</div>
<a id="ad6fcbcd06f10faed4fc25f8afaf87eda" name="ad6fcbcd06f10faed4fc25f8afaf87eda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6fcbcd06f10faed4fc25f8afaf87eda">&#9670;&#160;</a></span>OnDeactivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BleedingCheckMdfr::OnDeactivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d86/_bleeding_8c_source.html#l00044">44</a> of file <a class="el" href="../../db/d86/_bleeding_8c_source.html">Bleeding.c</a>.</p>

</div>
</div>
<a id="a888b63ea671881f41d8d4952fd2fde8b" name="a888b63ea671881f41d8d4952fd2fde8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a888b63ea671881f41d8d4952fd2fde8b">&#9670;&#160;</a></span>OnTick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BleedingCheckMdfr::OnTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d86/_bleeding_8c_source.html#l00054">54</a> of file <a class="el" href="../../db/d86/_bleeding_8c_source.html">Bleeding.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="abb8d046be7d1364c631a610afa61a17d" name="abb8d046be7d1364c631a610afa61a17d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb8d046be7d1364c631a610afa61a17d">&#9670;&#160;</a></span>BLOOD_DECREMENT_PER_SEC</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BleedingCheckMdfr::BLOOD_DECREMENT_PER_SEC = -10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d86/_bleeding_8c_source.html#l00004">4</a> of file <a class="el" href="../../db/d86/_bleeding_8c_source.html">Bleeding.c</a>.</p>

</div>
</div>
<a id="a8b32ad1363222b32a3665767d2b68771" name="a8b32ad1363222b32a3665767d2b68771"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b32ad1363222b32a3665767d2b68771">&#9670;&#160;</a></span>m_AdminLog</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PluginAdminLog BleedingCheckMdfr::m_AdminLog</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d86/_bleeding_8c_source.html#l00005">5</a> of file <a class="el" href="../../db/d86/_bleeding_8c_source.html">Bleeding.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerModifiers/Modifiers/conditions/<a class="el" href="../../db/d86/_bleeding_8c_source.html">Bleeding.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/d5a/class_bleeding_check_mdfr.html">BleedingCheckMdfr</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
